.btn
{
    @include text(15px,400,capitalize,normal,Montserrat);
    border: 1px solid transparent;
    border-radius: 40px;

    &-colored
    {
        background: getColor(purple);
        color: getColor(main-container)
    }

    &-small
    {
        padding: 11px 30px;
        font-weight: 700;
    }

    &-large
    {
        padding: 13px 30px;
        font-size: 18px;
        font-weight: 700;
    }

    @media(min-width: 481px)
    {
        &-small
        {
            padding: 11px 40px;
            font-weight: 700;
        }
        &-large
        {
            padding: 23px 61px;
            font-size: 21px;
        }

    }
    
    @media(min-width: 993px)
    {
        &-colored:hover
        {
            background: getColor(main-container);
            color: getColor(purple);
            border-color: getColor(purple);
        }
    }
}